/*! destyle.css v4.0.1 | MIT License | https://github.com/nicolas-cusan/destyle.css */

/* すべての要素、およびその擬似要素の余白とサイズ計算をリセット */
*,
*::before,
*::after {
  box-sizing: border-box;
  border-style: solid;
  border-width: 0;
  margin: 0;
  padding: 0;
}

/* 箇条書きのスタイルをリセット */
ul,
ol {
  list-style: none;
}

/* リンクのデザインをリセット */
a {
  text-decoration: none;
  color: inherit;
}

/* 画像などの置換要素の下に隙間ができないように設定 */
img,
svg,
video,
canvas,
audio,
iframe,
embed,
object {
  display: block;
}

/* ボタンやフォーム要素のブラウザ固有スタイルをリセット */
button,
input,
select,
textarea {
  background-color: transparent;
  color: inherit;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
  appearance: none;
}

/* ボタンのクリック時の挙動を調整 */
button,
[type="button"],
[type="reset"],
[type="submit"] {
  cursor: pointer;
}